package structs

type CreateGrampusTrainJobOption struct {
	DisplayJobName   string `json:"display_job_name" binding:"Required"`
	JobName          string `json:"job_name" binding:"Required" `
	Attachment       string `json:"attachment" binding:"Required"`
	BootFile         string `json:"boot_file" binding:"Required"`
	ImageID          string `json:"image_id" binding:"Required"`
	Params           string `json:"run_para_list" binding:"Required"`
	Description      string `json:"description"`
	BranchName       string `json:"branch_name" binding:"Required"`
	EngineName       string `json:"engine_name" binding:"Required"`
	WorkServerNumber int    `json:"work_server_number" binding:"Required"`
	Image            string `json:"image" binding:"Required"`
	DatasetName      string `json:"dataset_name" binding:"Required"`
	ModelName        string `json:"model_name"`
	ModelVersion     string `json:"model_version"`
	CkptName         string `json:"ckpt_name"`
	LabelName        string `json:"label_names"`
	PreTrainModelUrl string `json:"pre_train_model_url"`
	SpecId           int64  `json:"spec_id" binding:"Required"`
}

type CreateTrainJobOption struct {
	Type             int    `json:"type" binding:"Required"`
	DisplayJobName   string `json:"display_job_name" binding:"Required"`
	ImageID          string `json:"image_id"`
	Image            string `json:"image" binding:"Required"`
	Attachment       string `json:"attachment" binding:"Required"`
	DatasetName      string `json:"dataset_name" binding:"Required"`
	Description      string `json:"description" `
	BootFile         string `json:"boot_file" binding:"Required"`
	BranchName       string `json:"branch_name" binding:"Required"`
	Params           string `json:"run_para_list" binding:"Required"`
	WorkServerNumber int    `json:"work_server_number" binding:"Required"`
	ModelName        string `json:"model_name"`
	ModelVersion     string `json:"model_version"`
	CkptName         string `json:"ckpt_name"`
	LabelName        string `json:"label_names"`
	PreTrainModelUrl string `json:"pre_train_model_url"`
	SpecId           int64  `json:"spec_id" binding:"Required"`
}
